GET/api/v4/reviewDetails

ID によるインタラクションの取得

指定したインタラクション ID のセットに対応する完全なインタラクションオブジェクトを返します。

API キーが必要です。ヘッダーの形式とキーのローテーションについては認証を参照してください。

パラメーター

クエリ

名前型必須説明デフォルト
interactionIdsstring必須JSON-encoded array of interaction IDs to fetch, e.g. `["b2fa765e-c62b-4e0b-b1d6-1c67c855f5e0"]`. Passed as a URL-encoded JSON string.—

レスポンス

200Interaction details for the requested IDs. `data.interactionDetails.interactions` holds the array.
Response
{  "data": {    "interactionDetails": {      "interactions": [        {          "id": "b2fa765e-c62b-4e0b-b1d6-1c67c855f5e0",          "source": "maps.google.com",          "content": "Great place for dessert!",          "authorName": "Jordan M.",          "category": "Review",          "type": "Review",          "rating": 5,          "date": "2026-05-12T09:22:41+00:00",          "responded": true,          "responseCount": 1,          "canRespond": true,          "responses": [            {              "id": "2090753a-ece6-4837-8336-8494ad308523",              "content": "Thank you so much for the kind words!",              "authorName": "Jenny Home",              "date": "2026-05-13T14:02:00+00:00",              "interactionStatus": "CONFIRMED",              "editedResponse": false            }          ]        }      ]    }  }}
401Unauthenticated, missing or invalid API key.

指定した 1 つ以上のインタラクション ID に対応する詳細情報をすべて取得します。保存済みのインタラクション ID があり、インタラクション一覧全体をページごとに取得せずに、それらの最新データを取得したい場合に便利です。レスポンスボディはインタラクションオブジェクトの配列である data.interactionDetails.interactions です(インタラクション属性リファレンスを参照)。

interactionIds は URL エンコードされた JSON 配列として渡します。ID がお使いのアカウントに属していない場合、エンドポイントは 200 を返し、data.interactionDetails は null に設定され、errors 配列(例:SY90001: Not Authorized to access this resource)が含まれます。パラメーターを省略すると、SY90006 が返されます。

ユースケース:保存済みウォッチリストのデータの再取得

インタラクション ID(たとえば、ユーザーがスターを付けたレビューの ID)を保存する通知システムを構築する場合は、このエンドポイントを定期的に呼び出して対応するデータを再取得することで、レビュー一覧全体を再スキャンすることなく、新しく投稿されたオーナーの responses や responded フラグの変更を検出できます。ここで返される responses[].id は、返信の編集または返信のアーカイブに渡す responseId です。

Request
curl -X GET 'https://listingsapi.com/api/v4/reviewDetails?interactionIds=<interactionIds>' \  -H "Authorization: API $LISTINGSAPI_KEY"